Subject: bug#40728: 27.0.91; Removed public functions from debugger.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 20:04:17 +0200

Stefan Kangas <[email-masked]> writes:

>> I haven't tested the patch in detail, but it looks fine, thanks.
>> I guess you want to use `define-obsolete-function-alias' instead of
>> `defalias' to mark the aliases as obsolete as well.
>> The commit message should contain a magic string such as "Don't merge
>> to master" to prevent reinstating the functions in Emacs 28.

I applied the patch now, but I forgot about this bit...  but...  I think
they should be merged to Emacs 28?  They shouldn't disappear again
between Emacs 27 and Emacs 28.

I've made the aliases obsolete, though.

> It seems like the patch here was never installed on the release branch.

Done now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no